Bug 10662 - Samba does not handle SID compression
Samba does not handle SID compression
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.1.13
All All
: P5 normal
: ---
Assigned To: Richard Sharpe
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-17 17:49 UTC by Richard Sharpe
Modified: 2015-10-23 06:42 UTC (History)
7 users (show)

See Also:


Attachments
Resource SID compression support patch for 3.6.X (9.66 KB, text/plain)
2014-06-18 11:30 UTC, Hemanth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Sharpe 2014-06-17 17:49:07 UTC
The current code does not handle SID compression (resource SIDs) introduced in Windows Server 2012.

A fix will go into master very soon for this, but it needs to be back ported to 4.1 and 4.0.

Someone will also attach a patch based on that fix for Samba 3.6.x (and maybe 3.5.x) for those who need the functionality.

(Both winbindd and smbd will be affected, but I selected the File services component.) Winbindd is affected because we need to update the netsamlogon cache in the winbindd paths as well.
Comment 1 Hemanth 2014-06-18 11:30:36 UTC
Created attachment 10039 [details]
Resource SID compression support patch for 3.6.X

Here I have prepared a patch based on changes made on Master. It would be great if some one can review this.
Comment 2 Richard Sharpe 2014-06-18 13:40:45 UTC
Those patches look pretty much like the set I prepared.

Good work.
Comment 3 Richard Sharpe 2014-08-01 17:03:30 UTC
Hasn't this bug been fixed by a checkin that Jeremy committed to master?

Does it need to be back-ported to 4.0.x and 4.1.x?
Comment 4 Andreas Schneider 2014-10-28 10:32:09 UTC
Richard, I think the patches should be backported! Could you please do that and attach them for each branch we need to apply them? Thanks!
Comment 5 Stefan Metzmacher 2014-11-29 09:25:51 UTC
This is fixed in master and v4-2 with commit e907f8415639d2a7cbc1cc2e40e2e35bfa0024de.

So this is not a 4.2.0 blocker.

Can someone prepare patches for v4-1-test and v4-0-test?
git cherry-pick -x -5 e907f8415639d2a7cbc1cc2e40e2e35bfa0024de
doesn't work.
Comment 6 Brandon Haberfeld 2015-03-18 10:27:49 UTC
Please indicate whether this patch was incorporated into Samba 3.6.x and if so at what version. Currently 3.6.23 does not seem to contain it
Comment 7 Stefan Metzmacher 2015-03-18 11:01:40 UTC
(In reply to Brandon Haberfeld from comment #6)

No, you need to apply and build it yourself for 3.6.
Comment 8 Stefan Metzmacher 2015-10-23 06:42:15 UTC
Fixed in 4.1.20, 4.2.3 and 4.3.0, see bug #11328